TransportServerChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.TransportServerChannel interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport
Interface TransportServerChannel

All Superinterfaces:
  Service

All Known Implementing Classes:
  GTransportServerChannel, TransportServerChannelSupport

public interface TransportServerChannel
extends Service

Represents a Server which accepts incoming client connections in the form of TransportChannels which is used inside the JMS Broker

Version:
  $Revision: 1.8 $

Method Summary
`String` | `getUrl()` Returns the URL to connect to this connector
`void` | `setTransportChannelListener(TransportChannelListener listener)` Registers the listener to be used when new clients connect or disconnect
`void` | `start()` start listeneing for events
`void` | `stop()` close the ServerChannel

Method Detail

### stop

    public void stop()
              throws JMSException

  close the ServerChannel

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

### start

    public void start()
               throws JMSException

  start listeneing for events

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException` - if an error occurs

### setTransportChannelListener

    public void setTransportChannelListener(TransportChannelListener listener)

  Registers the listener to be used when new clients connect or disconnect

  Parameters:
    `listener` - the listener to be invoked when a client connects or disconnects

### getUrl

    public String getUrl()

  Returns the URL to connect to this connector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.